Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.javascript
Class JSMin

    java.lang.Object
      org.ajax4jsf.javascript.JSMin

    public class JSMin

extends java.lang.Object

Constructor Summary
`JSMin(java.io.InputStream in, java.io.OutputStream out)`

Method Summary
`void` | `jsmin()` jsmin -- Copy the input to the output, deleting the characters which are insignificant to JavaScript.
`static void` | `main(java.lang.String[] arg)` Run JSMin Get the first param on file name and output on console compressed file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSMin

    public JSMin(java.io.InputStream in,
                 java.io.OutputStream out)

Method Detail

### jsmin

    public void jsmin()
               throws java.io.IOException,
                      org.ajax4jsf.javascript.JSMin.UnterminatedRegExpLiteralException,
                      org.ajax4jsf.javascript.JSMin.UnterminatedCommentException,
                      org.ajax4jsf.javascript.JSMin.UnterminatedStringLiteralException

  jsmin -- Copy the input to the output, deleting the characters which are insignificant to JavaScript. Comments will be removed. Tabs will be replaced with spaces. Carriage returns will be replaced with linefeeds. Most spaces and linefeeds will be removed.

  Throws:
    `java.io.IOException`
    `org.ajax4jsf.javascript.JSMin.UnterminatedRegExpLiteralException`
    `org.ajax4jsf.javascript.JSMin.UnterminatedCommentException`
    `org.ajax4jsf.javascript.JSMin.UnterminatedStringLiteralException`

### main

    public static void main(java.lang.String[] arg)

  Run JSMin

  Get the first param on file name and output on console compressed file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.